<?php
/*
    Copyright (C) 2009  Jon Smith <smithj@thelazysysadmin.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

  /**
  * Sdk DB Configuration
  * 
  * @author Jon Smith <smithj@thelazysysadmin.net>
  * @package js_sdk
  * @version 1.0
  */

  /**
  * Sdk DB Configuration
  */
  class sdk_db_conf extends sdk {
    private $dbhost;
    private $dbuser;
    private $dbpass;
    private $dbname;

    /**
    * Contructor
    * 
    * @param string $dbhost Hostname of DB Server
    * @param string $dbuser Username to connect to DB Server
    * @param string $dbpass Password to connect to DB Server
    * @param string $dbname Name of the Database to load
    * @return sdk_db_conf
    */
    function __construct($dbhost, $dbuser, $dbpass, $dbname) {
      $this->dbhost = $dbhost;
      $this->dbuser = $dbuser;
      $this->dbpass = $dbpass;
      $this->dbname = $dbname;
    }

    /**
    * Returns the Hostname of the DB
    * 
    * @return string Hostname of DB
    */
    function get_host() {
      return $this->dbhost;
    }

    /**
    * Returns the Username of the DB
    * 
    * @return string Username of DB
    */
    function get_user() {
      return $this->dbuser;
    }

    /**
    * Returns the Password of the DB
    * 
    * @return string Password of DB
    */
    function get_pass() {
      return $this->dbpass;
    }

    /**
    * Returns the name of the Database for the DB
    * 
    * @return string Database name for DB
    */
    function get_name() {
      return $this->dbname;
    }
      
  }
  
?>
