<?php
/*
    Copyright (C) 2009  Jon Smith <smithj@thelazysysadmin.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

  /**
  * Sdk Loggerbackend
  * 
  * @author Jon Smith <smithj@thelazysysadmin.net>
  * @package js_sdk
  * @version 1.0
  */
  
  /**
  * Sdk Loggerbackend
  * 
  * @package js_sdk
  * @version 1.0
  */
  abstract class sdk_loggerbackend extends sdk {
    protected $urldata;
    
    /**
    * Constructor
    * 
    * @param array $urldata DSN Connection String from parse_url
    * @return sdk_loggerbackend
    */
    public function __construct($urldata) {
      $this->urldata = $urldata; 
    }
    
    /**
    * Abstract function to Log a Message
    * 
    * @param string $message Message to log
    * @param int $loglevel Log Level
    * @param mixed $module Module
    */
    abstract function logmessage($message, $loglevel = LOGGER_INFO, $module = null);
  }
  
?>
