<?php
/*
    Copyright (C) 2009  Jon Smith <smithj@thelazysysadmin.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

  /**
  * Sdk Loggerbackend - Email
  * 
  * @author Jon Smith <smithj@thelazysysadmin.net>
  * @package js_sdk
  * @version 1.0
  */
  
  /**
  * Sdk Loggerbackend - Email
  * 
  * @package js_sdk
  * @version 1.0
  */
  class sdk_loggerbackend_email extends sdk_loggerbackend {
    private $loglevel;
    private $hlogfile;
    
    /**
    * Constructor
    * 
    * @param array $urldata DSN Connection String from parse_url
    * @return sdk_loggerbackend_file
    */
    public function __construct($urldata) {
      global $cfg;
      
      parent::__construct($urldata);
      
      $this->loglevel = $cfg['LOGGER_LEVEL'];
      
      if ((strlen($this->urldata["host"]) > 0) && (strlen($this->urldata["port"]) > 0)) {
        ini_set("SMTP", $this->urldata["host"]) ;
        ini_set("smtp_port", $this->urldata["port"]);
      } else {
        throw new sdk_exception_loggerbackend("No valid email server was specified"); 
      }
    }
    
    /**
    * Log a Message
    * 
    * @param string $message Message to log
    * @param int $loglevel Log Level
    * @param mixed $module Module
    */
    public function logmessage($message, $loglevel = LOGGER_INFO, $module = null) {

    }
    
    /**
    * Send message as email
    * 
    * @param string $message Message to log
    * @param string $to Email To Address
    * @param string $from Email From Address
    * @param string $subject Email Subject
    * @param int $loglevel Log Level
    * @param mixed $module Module
    */
    public function sendemail($message, $to, $from, $subject, $loglevel = LOGGER_INFO, $module = null) {
      if ($loglevel <= $this->loglevel) {
        $headers = "From: ".$from;
        mail($to, $subject, $message, $headers);
      }
    }  
      
  }
    
?>