<?php
/*
    Copyright (C) 2009  Jon Smith <smithj@thelazysysadmin.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

  include_once("_lib/sdk/autoload.php");

  app_site::header();
  app_site::needauth();
  
  $page = app_site::getpage();
  
  $page->before();

  switch ($action) {
    case "newkeyword":
      $db = new sdk_db_mysql();
      $sql = "SELECT `domain` FROM tbl_site WHERE id = %d;";
      $sql = sprintf($sql, $_REQUEST["siteid"]);
      $db->query($sql);
      
      if ($db->eof()) {
        $db->closequery();
        die("Page entered in error"); 
      } else {
        $row = $db->getRow(true);
        $db->closequery();
      }
?>
<h1>Add new keyword</h1>
<h2>For Domain: <?php echo $row["domain"]; ?></h2>
<form action="admin.php">
  <label for="keyword">Keyword:</label> <input type="text" name="keyword" /><br /><br />
  <input type="submit" value="Submit" />
  <input type="hidden" name="action" value="newkeywordproc" />
  <input type="hidden" name="siteid" value="<?php echo $_REQUEST["siteid"]; ?>" />
</form>
<?php
      break;
    case "newkeywordproc":
      $db = new sdk_db_mysql();
      $sql = "INSERT INTO `tbl_keywordsearch` (`siteid`, `keyword`) VALUES (%d, '%s');";
      $sql = sprintf($sql,
                    $_REQUEST["siteid"],
                    $db->escape_string($_REQUEST["keyword"]));
      $db->runsql($sql);
      
      header("location: index.php");
      exit();
      
      break;
    case "keyworddelete":
      $kwid = $_REQUEST["keywordid"];
      
      $db = new sdk_db_mysql();
      $sql = "DELETE FROM `tbl_keywordresult` WHERE `keywordid` = %d;";
      $sql = sprintf($sql, $kwid);
      $db->runsql($sql);
      
      $sql = "DELETE FROM `tbl_keywordsearch` WHERE `id` = %d;";
      $sql = sprintf($sql, $kwid);
      $db->runsql($sql);
      
      header("location: index.php");
      exit();
      
      break;
    case "addsite":
?>
<h1>Add new site</h1>
<form action="admin.php">
  ie (google.com)<br /><br />
  <label for="site">Site:</label> <input type="text" name="site" /><br /><br />
  <input type="submit" value="Submit" />
  <input type="hidden" name="action" value="addsiteproc" />
</form>
<?php    
      break;
    case "addsiteproc":
      $db = new sdk_db_mysql();
      $sql = "INSERT INTO `tbl_site` (`domain`) VALUES ('%s');";
      $sql = sprintf($sql, $db->escape_string($_REQUEST["site"]));
      $db->runsql($sql);
      
      header("location: index.php");
      exit();
      
      break;
    case "sitedelete":
      $siteid = $_REQUEST["siteid"];
      
      $db = new sdk_db_mysql();
      $sql = "DELETE FROM `tbl_site` WHERE `id` = %d;";
      $sql = sprintf($sql, $_REQUEST["siteid"]);
      $db->runsql($sql);
      
      header("location: index.php");
      exit();
      
      break;
  }
  
  $page->after();
  
?>