<?php
/*
    Copyright (C) 2009  Jon Smith <smithj@thelazysysadmin.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

  /**
  * Configuration values to be set in this file
  *
  * @author Jon Smith <smithj@thelazysysadmin.net>
  * @package js_sdk
  * @version 1.0
  */

  // Database settings
  $cfg["dbhost"] = "localhost";
  $cfg["dbuser"] = "ljsearchranktool";
  $cfg["dbpass"] = "p@ssw0rd";
  $cfg["dbname"] = "ljsearchranktool";

  // Page Titles
  $cfg['title'] = "LJ Google Search Rank Tool";

  // Root directory of installation (Must have trailing slash
  $cfg['installdir'] = "/var/www/html/ljsearchranktool/";

  // URL to Access LJ Search Rank Tool (Must have trailing slash
  $cfg['webaddress'] = "http://localhost/ljsearchranktool/";

  // Google AJAX API Key (http://code.google.com/apis/ajaxsearch/signup.html) if you choose
  // not to use a key, just leave the googleajaxapikey empty
  $cfg["googleajaxapikey"] = "";

  // Email Settings
  $cfg["emailserver"] = "email://localhost:25";
  $cfg["emailfrom"] = "ljsearchranktool@localhost";
  $cfg["emailto"] = "youraddress@yourdomain.com.au";

  // Send email on Rank Change
  $cfg["sendemail"] = true;

  date_default_timezone_set("Australia/Brisbane");

  $dateformat = "d/m/Y g:ia";

  define("DATEFORMAT", $dateformat);
  define("TIMEFORMAT", "g:ia");
  define("DATEONLYFORMAT", "d/m/Y");

  define('LOGGER_DEBUG', 100);
  define('LOGGER_INFO', 75);
  define('LOGGER_NOTICE', 50);
  define('LOGGER_WARNING', 25);
  define('LOGGER_ERROR', 10);
  define('LOGGER_CRITICAL', 5);

  $cfg['LOGGER_LEVEL'] = LOGGER_INFO;

  $cfg['webaddressparts'] = parse_url($cfg['webaddress']);

  /**
  * Global variable for Project Database Config
  *
  * @global sdk_db_conf $dbconf
  * @name $dbconf
  *
  * $dbconf = new sdk_db_conf("<<hostname>>", "<<username>>", "<<password>>", "<<database name>>");
  *
  * Database permission required are SELECT,INSERT,UPDATE,DELETE
  */
  $dbconf = new sdk_db_conf($cfg["dbhost"], $cfg["dbuser"], $cfg["dbpass"], $cfg["dbname"]);

?>