<?php
/*
    Copyright (C) 2009  Jon Smith <smithj@thelazysysadmin.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

  include_once("_lib/sdk/autoload.php");

  sdk_logger::register("email", $cfg["emailserver"]);
  $email = sdk_logger::getinstance("email");
  
  set_time_limit(600);
  
  if (isset($_REQUEST["fromsite"])) {
    $fromsite = true; 
    
    app_site::header();
    app_site::needauth();
    
    $page = app_site::getpage();
    
    $page->before();
  } else {
    $formsite = false; 
  }
  
  $workdb = new sdk_db_mysql();
  $tempdb = new sdk_db_mysql();
  
  $sql = "SELECT `tbl_keywordsearch`.`id`, `tbl_site`.`domain`, `tbl_keywordsearch`.`keyword` ";
  $sql .= "FROM `tbl_site`, `tbl_keywordsearch` ";
  $sql .= "WHERE `tbl_site`.`id` = `tbl_keywordsearch`.`siteid` ";
  $sql .= "ORDER BY `domain`, `keyword`;";
  $workdb->query($sql);
  
  while (!$workdb->eof()) {
    $workrow = $workdb->getRow();
    
    echo "<hr />";
    $rank = app_google::getrank($workrow["keyword"], $workrow["domain"], true);
    
    $sql = "SELECT * FROM `tbl_keywordresult` WHERE `keywordid` = %d ORDER BY id DESC LIMIT 0,1;";
    $sql = sprintf($sql, $workrow["id"]);
    $tempdb->query($sql);
    
    if ($tempdb->eof()) {
      $tempdb->closequery();
      
      $sql = "INSERT INTO `tbl_keywordresult` (`keywordid`, `rank`) VALUES (%d, %d);";
      $sql = sprintf($sql, $workrow["id"], $rank);
      $tempdb->runsql($sql);
    } else {
      $temprow = $tempdb->getRow();
      $tempdb->closequery();
      
      if ($temprow["rank"] == $rank) {
        echo "Rank the same...<br />"; 
      } else {
        echo "New Rank...<br />";
        $sql = "INSERT INTO `tbl_keywordresult` (`keywordid`, `rank`) VALUES (%d, %d);";
        $sql = sprintf($sql, $workrow["id"], $rank);
        $tempdb->runsql($sql);
        
        if ($cfg["sendemail"]) {
          $sql = "SELECT `tbl_site`.`domain`, `tbl_keywordsearch`.`keyword`, `tbl_keywordresult`.`rank`, ";
          $sql .= "`tbl_keywordresult`.`timestamp` ";
          $sql .= "FROM `tbl_keywordresult`, `tbl_keywordsearch`, `tbl_site` ";
          $sql .= "WHERE `tbl_keywordresult`.`keywordid` = `tbl_keywordsearch`.`id` ";
          $sql .= "AND `tbl_keywordsearch`.`siteid` = `tbl_site`.`id` ";
          $sql .= "AND `tbl_keywordresult`.`keywordid` = %d ";
          $sql .= "ORDER BY `tbl_keywordresult`.`id` DESC;";
          $sql = sprintf($sql, $workrow["id"]);
          $tempdb->query($sql);
          $row = $tempdb->getRow(); 
          
          $emailbody = "Site: ".$row["domain"]."\n";
          $emailbody .= "Keyword: ".$row["keyword"]."\n\n";
          $emailbody .= "History\n";
          $emailbody .= "--------------\n";
          
          while (!$tempdb->eof()) {
            $row = $tempdb->getRow();

            if ($row["rank"] == -1) {
              $erank = "Not in the Top 64"; 
            } else {
              $erank = $row["rank"]; 
            }

            $emailbody .= date(DATEFORMAT, strtotime($row["timestamp"]))."\t".$erank."\n";
            
            $tempdb->moveNext();
          }
          
          $tempdb->closequery();
          
          $subject = "Search Rank for ".$row["domain"].", keyword '".$row["keyword"]."'";
          
          $email->sendemail($emailbody, $cfg["emailto"], $cfg["emailfrom"], $subject);
        }         
      }
         
    }      
          
    $workdb->moveNext();
  }  
  
  $workdb->closequery();

  if ($fromsite) {
    $page->after(); 
  }
  
?>